Join us on May 20th for the Content + AI Virtual Summit. Register now
curl -L 'https://api.box.com/2.0/docgen_templates' \
-H 'box-version: 2025.0' \
-H 'Authorization: Bearer <ACCESS_TOKEN>' \
-H 'Content-Type: application/json' \
-D '{
"file": {
"id": "12345678",
"type": "file"
}
}'{
"file": {
"type": "file",
"id": "42037322"
}
}Marks a file as a Box Doc Gen template.
curl -L 'https://api.box.com/2.0/docgen_templates' \
-H 'box-version: 2025.0' \
-H 'Authorization: Bearer <ACCESS_TOKEN>' \
-H 'Content-Type: application/json' \
-D '{
"file": {
"id": "12345678",
"type": "file"
}
}'{
"file": {
"type": "file",
"id": "42037322"
}
}Documentation Index
Fetch the complete documentation index at: https://developer.box.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
Version header.
2025.0 Marks the provided file as a Box Doc Gen template.
The schema for marking document as Box Doc Gen template.
Marks the file as a Box Doc Gen template to generate the document from.
Show child attributes
The file which has now been marked as a Box Doc Gen template.
A base representation of a Box Doc Gen template, used when nested within another resource.
Enable the file to generate a document from.
Show child attributes
Was this page helpful?